<?php
require('conexion.php');

$salida = "";
if(isset($_POST['consulta']) ){
    
    $q=$_POST['consulta'];
    if($q != ""){
        $query="SELECT pro_nombre 'NOMBRE', id FROM productos WHERE (pro_nombre LIKE '".$q."%' OR pro_nombre LIKE '%".$q."%') AND pro_estatus='ALTA' ORDER BY CASE WHEN pro_nombre LIKE '".$q."%' THEN 1 ELSE 2 END, pro_nombre LIMIT 5";

        $resultado = query($query);
        if($resultado->num_rows > 0){
            while($fila = mysqli_fetch_assoc($resultado)){
                $salida.="<li class='list-items' data-code=".$fila['id'].">".$fila['NOMBRE']."</li>";
            }
        }else{
            $salida = "No hay resultados ";
        }
    }else{
        $salida .= "<li></li>";
    }
}

echo $salida;
?>